For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all appointments
        • POSTCancel Appointment (leads): ResMan - Not Supported
        • POSTCreate Lead Appointment: Resman
        • PUTUpdate Lead Appointment: Resman
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManAppointments

Get all appointments

GET
/v1/appointments/
GET
/v1/appointments/
$curl https://api.propexo.com/v1/appointments/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "dc6cd684-9392-4d8b-9d4d-fb4ec8a2fcd7",
18 "x_property_id": "107c9ff1-7d21-407a-bdbd-e66224c10048",
19 "x_leasing_agent_id": "4f4f1b5a-9ec0-40bc-a886-e0dae65b8df8",
20 "x_type_id": null,
21 "x_location_id": null,
22 "event_name": null,
23 "event_datetime": "2023-08-26T07:30:54.000Z",
24 "appointment_datetime": null,
25 "type_raw": "Appointment",
26 "notes": "Nice person, firm handshake.",
27 "agent_name": "John Doe",
28 "reasons_for_event": "Initial contact",
29 "associated_lead_ids": [
30 "cm2jeb8af00042qoza7lcb5cx"
31 ],
32 "associated_applicant_ids": [
33 "string"
34 ],
35 "associated_resident_ids": [
36 "cm2jebkdu00072qozfa5p9rs7"
37 ],
38 "integration_id": "clwh5u07w000508me66sfh3um",
39 "integration_vendor": "RESMAN",
40 "property_id": "clwi5xiix000008l6ctdgafyh"
41 }
42 ]
43}
Get all appointments
Was this page helpful?
Previous

Cancel Appointment (leads): ResMan - Not Supported

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external ID of the event from the integration vendor
x_property_idstringOptional
The external ID of the property from the integration vendor
x_type_idstringOptional
The external ID of the type from the integration vendor
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_idstringOptional
The Propexo unique identifier for the property
lead_idstringOptional
The Propexo unique identifier for the lead
applicant_idstringOptional
The Propexo unique identifier for the applicant
resident_idstringOptional
The Propexo unique identifier for the resident
integration_idstringOptional
The Propexo unique identifier for the integration
integration_vendorenumOptional
The property management system of record

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error